---
icon: simple/blueprint
description: Let your creative side run wild and build all you like here! Or, if you are so inclined, just test out your new design ideas!
---

# Creative

## Server Details

- Direct join address: `creative.midnightvalley.net`
- Server Software: [PaperMC](https://papermc.io/) 1.20.4
- World first generated with: `1.20.2`
- Max Players: 40
- Mem: 6 GiB
- Seed: `1339071997991056748`
- World Size: 20,000 Blocks (10k blocks any direction from 0,0).
- Backups: Nightly, two weeks stored. Happens at 00:00 EST.

## [Map](https://www.midnightvalley.net/creative/map/)

The map is built and served using [Dynmap](https://www.spigotmc.org/resources/dynmap%C2%AE.274/)! It is a flat map only to save resources, however it will show you where players are, and each world is included (Overworld, Nether, The End.)

## Commands

- `/tp` Teleport.
- `/time` Change the time (Check with other users before you do this.)
- `/gamemode` Change your game mode.

## Datapacks, Plugins, and Mods

=== "Datapacks"

    === "Vanilla Tweaks"

        [Download this bundle from Vanilla Tweaks](https://vanillatweaks.net/share#0qcOAy)!

        - Survival
            - armor statues
        - Items
            - terracotta rotation wrench
            - redstone rotation wrench
        
        !!! Info
            [Vanilla Tweaks](https://vanillatweaks.net/) are provided by the folks that run HermitCraft. They do not require any client side or server side mods and rely only on Vanilla datapacks to function.

=== "Mods"

    !!! Note
        These mods are not necessary to join the server and are only here to improve your experience.

    This server uses the [Plasmo Voice](https://modrinth.com/plugin/plasmo-voice) mod to allow on-server proximity based voice chat.
    To use the mod, you will need [Fabric](https://fabricmc.net/), [NeoForge](https://neoforged.net/) or [Quilt](https://quiltmc.org/en/). You are on your own for how to set this up, but I think it is fairly straight forward.